Searched refs:cpio (Results 1 - 25 of 30) sorted by relevance

12

/freebsd-12-stable/contrib/libarchive/cpio/
H A Dcpio.c82 #include "cpio.h"
107 static int entry_to_archive(struct cpio *, struct archive_entry *);
108 static int file_to_archive(struct cpio *, const char *);
110 static void list_item_verbose(struct cpio *, struct archive_entry *);
112 static const char *lookup_gname(struct cpio *, gid_t gid);
113 static int lookup_gname_helper(struct cpio *,
115 static const char *lookup_uname(struct cpio *, uid_t uid);
116 static int lookup_uname_helper(struct cpio *,
118 static void mode_in(struct cpio *) __LA_DEAD;
119 static void mode_list(struct cpio *) __LA_DEA
135 struct cpio *cpio; local
516 mode_out(struct cpio *cpio) argument
694 file_to_archive(struct cpio *cpio, const char *srcpath) argument
786 entry_to_archive(struct cpio *cpio, struct archive_entry *entry) argument
898 restore_time(struct cpio *cpio, struct archive_entry *entry, const char *name, int fd) argument
954 mode_in(struct cpio *cpio) argument
1072 mode_list(struct cpio *cpio) argument
1132 list_item_verbose(struct cpio *cpio, struct archive_entry *entry) argument
1226 mode_pass(struct cpio *cpio, const char *destdir) argument
1355 lookup_name(struct cpio *cpio, struct name_cache **name_cache_variable, int (*lookup_fn)(struct cpio *, const char **, id_t), id_t id) argument
1405 lookup_uname(struct cpio *cpio, uid_t uid) argument
1412 lookup_uname_helper(struct cpio *cpio, const char **name, id_t id) argument
1432 lookup_gname(struct cpio *cpio, gid_t gid) argument
1439 lookup_gname_helper(struct cpio *cpio, const char **name, id_t id) argument
1487 struct cpio *cpio = (struct cpio *)_client_data; local
[all...]
H A Dcmdline.c48 #include "cpio.h"
52 * Short options for cpio. Please keep this sorted.
57 * Long options for cpio. Please keep this sorted.
105 * run the test harness against GNU cpio. (I periodically run the
106 * test harness here against GNU cpio as a sanity-check. Yes,
107 * I've found a couple of bugs in GNU cpio that way.)
110 cpio_getopt(struct cpio *cpio) argument
122 cpio->argument = NULL;
127 ++cpio
[all...]
H A Dcpio.h35 * The internal state for the "cpio" program.
39 * pointer to this structure is passed to most cpio internal
42 struct cpio { struct
119 int cpio_getopt(struct cpio *cpio);
/freebsd-12-stable/contrib/libarchive/libarchive/
H A Darchive_write_set_format_cpio.c61 struct cpio { struct
99 * Set output format to 'cpio' format.
105 struct cpio *cpio; local
114 cpio = (struct cpio *)calloc(1, sizeof(*cpio));
115 if (cpio == NULL) {
116 archive_set_error(&a->archive, ENOMEM, "Can't allocate cpio data");
119 a->format_data = cpio;
136 struct cpio *cpio = (struct cpio *)a->format_data; local
176 synthesize_ino_value(struct cpio *cpio, struct archive_entry *entry) argument
230 struct cpio *cpio; local
279 struct cpio *cpio; local
419 struct cpio *cpio; local
483 struct cpio *cpio; local
495 struct cpio *cpio; local
[all...]
H A Darchive_read_support_format_cpio.c175 struct cpio { struct
177 int (*read_header)(struct archive_read *, struct cpio *,
204 static int header_bin_be(struct archive_read *, struct cpio *,
206 static int header_bin_le(struct archive_read *, struct cpio *,
208 static int header_newc(struct archive_read *, struct cpio *,
210 static int header_odc(struct archive_read *, struct cpio *,
212 static int header_afiol(struct archive_read *, struct cpio *,
218 struct cpio *cpio, struct archive_entry *entry);
224 struct cpio *cpi local
260 struct cpio *cpio; local
324 struct cpio *cpio; local
358 struct cpio *cpio; local
457 struct cpio *cpio; local
494 struct cpio *cpio = (struct cpio *)(a->format->data); local
587 header_newc(struct archive_read *a, struct cpio *cpio, struct archive_entry *entry, size_t *namelength, size_t *name_pad) argument
762 header_odc(struct archive_read *a, struct cpio *cpio, struct archive_entry *entry, size_t *namelength, size_t *name_pad) argument
829 header_afiol(struct archive_read *a, struct cpio *cpio, struct archive_entry *entry, size_t *namelength, size_t *name_pad) argument
871 header_bin_le(struct archive_read *a, struct cpio *cpio, struct archive_entry *entry, size_t *namelength, size_t *name_pad) argument
910 header_bin_be(struct archive_read *a, struct cpio *cpio, struct archive_entry *entry, size_t *namelength, size_t *name_pad) argument
951 struct cpio *cpio; local
1028 record_hardlink(struct archive_read *a, struct cpio *cpio, struct archive_entry *entry) argument
[all...]
H A Darchive_write_set_format_cpio_newc.c62 struct cpio { struct
105 * Set output format to 'cpio' format.
111 struct cpio *cpio; local
120 cpio = (struct cpio *)calloc(1, sizeof(*cpio));
121 if (cpio == NULL) {
122 archive_set_error(&a->archive, ENOMEM, "Can't allocate cpio data");
125 a->format_data = cpio;
142 struct cpio *cpio = (struct cpio *)a->format_data; local
170 struct cpio *cpio; local
221 struct cpio *cpio; local
377 struct cpio *cpio; local
441 struct cpio *cpio; local
452 struct cpio *cpio; local
[all...]
/freebsd-12-stable/tests/sys/cddl/zfs/tests/migration/
H A Dmigration_004_pos.ksh42 # Migrating test file from ZFS fs to ZFS fs using cpio
47 # 3. Extract cpio contents to a ZFS file system
65 $RM -rf $TESTDIR/cpio${TESTCASE_ID}.cpio
69 log_assert "Migrating test file from ZFS fs to ZFS fs using cpio"
77 $LS $BNAME | $CPIO -oc > $TESTDIR/cpio${TESTCASE_ID}.cpio
78 (( $? != 0 )) && log_failED "Unable to create cpio archive"
83 migrate_cpio $TESTDIR "$TESTDIR/cpio${TESTCASE_ID}.cpio"
[all...]
H A Dmigration_005_pos.ksh42 # Migrating test file from ZFS fs to UFS fs using cpio
47 # 3. Extract cpio contents to a UFS file system
65 $RM -rf $TESTDIR/cpio${TESTCASE_ID}.cpio
69 log_assert "Migrating test file from ZFS fs to uFS fs using cpio"
77 $LS $BNAME | $CPIO -oc > $TESTDIR/cpio${TESTCASE_ID}.cpio
78 (( $? != 0 )) && log_failED "Unable to create cpio archive"
83 migrate_cpio $NONZFS_TESTDIR "$TESTDIR/cpio${TESTCASE_ID}.cpio"
[all...]
H A Dmigration_006_pos.ksh42 # Migrating test file from UFS fs to ZFS fs using cpio
47 # 3. Extract cpio contents to a ZFS file system
65 $RM -rf $NONZFS_TESTDIR/cpio${TESTCASE_ID}.cpio
69 log_assert "Migrating test file from UFS fs to ZFS fs using cpio"
77 $LS $BNAME | $CPIO -oc > $NONZFS_TESTDIR/cpio${TESTCASE_ID}.cpio
78 (( $? != 0 )) && log_failED "Unable to create cpio archive"
83 migrate_cpio $TESTDIR "$NONZFS_TESTDIR/cpio${TESTCASE_ID}.cpio"
[all...]
/freebsd-12-stable/usr.bin/cpio/
H A DMakefile12 .PATH: ${_LIBARCHIVEDIR}/cpio
13 SRCS= cpio.c cmdline.c
20 CFLAGS+= -I${_LIBARCHIVEDIR}/cpio -I${_LIBARCHIVEDIR}/libarchive_fe
23 # FreeBSD's installer uses cpio in crunched binaries that are
33 SYMLINKS=bsdcpio ${BINDIR}/cpio
34 MLINKS= bsdcpio.1 cpio.1
/freebsd-12-stable/tests/sys/cddl/zfs/tests/xattr/
H A Dxattr_011_pos.ksh41 # Basic applications work with xattrs: cpio cp find mv pax tar
64 log_assert "Basic applications work with xattrs: cpio cp find mv pax tar"
75 # For the archive applications below (tar, cpio, pax)
77 # and try various cpio options extracting the archives
81 log_note "Checking cpio"
82 log_must $TOUCH $TESTDIR/cpio.${TESTCASE_ID}
83 create_xattr $TESTDIR/cpio.${TESTCASE_ID} passwd /etc/passwd
84 $ECHO $TESTDIR/cpio.${TESTCASE_ID} | $CPIO -o@ > $TMPDIR/xattr.${TESTCASE_ID}.cpio
85 $ECHO $TESTDIR/cpio
[all...]
/freebsd-12-stable/usr.bin/cpio/tests/
H A Dfunctional_test.sh31 export BSDCPIO=$(which cpio)
/freebsd-12-stable/bin/pax/
H A DMakefile32 SRCS= ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c ftree.c \
/freebsd-12-stable/tests/sys/cddl/zfs/tests/acl/trivial/
H A Dzfs_acl_pax_003_pos.ksh42 # with cpio should succeed.
48 # 4. Then cpio the pax file to directory C.
64 log_assert "Verify include attribute in pax archive and restore with cpio " \
77 paxout=$TMP_DIR/files.cpio
80 log_must eval "usr_exec $PAX -w -x cpio -@ -f $paxout * >/dev/null 2>&1"
83 # Enter into test directory and cpio $TMP_DIR/files.pax to current
98 log_pass "Directories pax archive and restore with cpio passed."
H A Dzfs_acl_pax_005_pos.ksh41 # Verify files include attribute in cpio archive and restore with cpio
64 log_assert "Verify files include attribute in cpio archive and restore with " \
65 "cpio should succeed."
84 paxout=$TMP_DIR/files.cpio
87 log_must eval "usr_exec $PAX -w -x cpio -@ -f $paxout * >/dev/null 2>&1"
90 # Enter into test directory and pax $TMP_DIR/files.cpio to current
95 log_must eval "usr_exec $PAX -r -x cpio -@ -f $paxout > /dev/null 2>&1"
111 log_pass "Files 'pax cpio' archive and restre with 'pax cpio' passe
[all...]
/freebsd-12-stable/usr.sbin/crunch/examples/
H A Dfilesystem.conf23 progs cpio gzip
H A Dfixit.conf39 progs cpio gzip
/freebsd-12-stable/libexec/rc/
H A Drc.initdiskless109 # /conf/T/SUBDIR.cpio.gz
110 # The file is cpio'd into /SUBDIR (and a memory filesystem is
115 # This is alternative to SUBDIR.cpio.gz and remount.
354 # our templates. Support both a direct template and a dir.cpio.gz
358 # The dir.cpio.gz form is there to make the copy process more efficient,
359 # so if the cpio archive is present, it prevents the files from dir/
365 if [ -d $j -a ! -f $j.cpio.gz ]; then
370 for j in /conf/$i/*.cpio.gz ; do
371 subdir=${j%*.cpio.gz}
375 echo "Loading /$subdir from cpio archiv
[all...]
/freebsd-12-stable/tools/bsdbox/
H A DMakefile.base20 CRUNCH_PROGS_usr.bin+= cpio
/freebsd-12-stable/tools/tools/nanobsd/pcengines/
H A Dcommon.conf42 find . -print | grep -Ev '/(CVS|\.svn)' | cpio -dumpv ${NANO_WORLDDIR}
/freebsd-12-stable/tools/tools/cd2dvd/
H A Dcd2dvd.sh118 (cd "${_mnt}" && find . ${_exclude} | cpio -p -d -m -V --quiet "${_dst}") || exit 1
/freebsd-12-stable/lib/libarchive/tests/
H A DMakefile338 ${PACKAGE}FILES+= test_compat_cpio_1.cpio.uu
456 ${PACKAGE}FILES+= test_read_format_cpio_bin_be.cpio.uu
457 ${PACKAGE}FILES+= test_read_format_cpio_bin_le.cpio.uu
458 ${PACKAGE}FILES+= test_read_format_cpio_filename_cp866.cpio.uu
459 ${PACKAGE}FILES+= test_read_format_cpio_filename_eucjp.cpio.uu
460 ${PACKAGE}FILES+= test_read_format_cpio_filename_koi8r.cpio.uu
461 ${PACKAGE}FILES+= test_read_format_cpio_filename_utf8_jp.cpio.uu
462 ${PACKAGE}FILES+= test_read_format_cpio_filename_utf8_ru.cpio.uu
641 ${PACKAGE}FILES+= test_write_disk_appledouble.cpio.gz.uu
/freebsd-12-stable/tools/tools/nanobsd/
H A Ddefaults.sh532 find . -print | cpio -dumpl ../../../etc/local
551 find $d -print | cpio -dumpl conf/base/
632 find . -print | grep -Ev '/(CVS|\.svn|\.hg|\.git)/' | cpio -dumpv ${mnt}
740 find . -print | grep -Ev '/(CVS|\.svn|\.hg|\.git)/' | cpio -Ldumpv ${NANO_WORLDDIR}
/freebsd-12-stable/tools/tools/sysbuild/
H A Dsysbuild.sh525 (cd / ; find var/db/ports -print | cpio -dumpv ${SBMNT} > /dev/null 2>&1)
644 find ${CONFIGFILES} -print | cpio -dumpv root/configfiles_dist
648 (cd / && find ${CONFIGFILES} -print | cpio -dumpv ${SBMNT})
/freebsd-12-stable/tools/tools/tinybsd/
H A Dtinybsd454 cd ${WORKDIR} && find . -print | sed '/kernel/ d' | cpio -dump ${IMGMNT} || true
474 ( cd ${WORKDIR} && find . -print | cpio -dump ${IMGMNT} ) || true

Completed in 228 milliseconds

12